Skip to main content
GET
Get asset details
For more information, please visit the INTX Java SDK.

Path Parameters

asset
string
required

Identifies the asset by name (e.g., BTC), UUID (e.g., 291efb0f-2396-4d41-ad03-db3b2311cb2c), or asset ID (e.g., 1482439423963469)

Response

Asset found

asset_id
string

A unique identifier to represent the asset specifically on the exchange

Example:

3351829018369611

asset_uuid
string<uuid>

A UUID to represent the asset (portable across other Coinbase systems)

Example:

"592a8039-db3e-45ed-b752-ffd1983eead2"

asset_name
string

The name of the asset

Example:

"BTC"

status
enum<string>

An asset level status that would affect all markets with the asset

Available options:
ACTIVE,
DISABLED
Example:

"ACTIVE"

collateral_weight
number<double>

The haircut value applied to the asset when used as collateral

Example:

0.9

supported_networks_enabled
boolean
Example:

true

min_borrow_qty
string
Example:

10

max_borrow_qty
string
Example:

1000000

loan_collateral_requirement_multiplier
number<double>
Example:

1.2

ecosystem_collateral_limit_breached
boolean
Example:

false

loan_initial_margin
string

The initial margin requirement for borrowing this asset

Example:

0.15

max_loan_leverage
string

The maximum amount of leverage a user can have on a loan of this asset

Example:

3